### Method

# FwupdPlugin Firmware get_image_by_idx

#### Declaration [src]

    FuFirmware*
    fu_firmware_get_image_by_idx (
      FuFirmware* self,
      guint64 idx,
      GError** error
    )

#### Description [src]

Gets the firmware image using the image index.

Available since: | 1.3.1

#### Parameters

`idx` | `guint64`
| Image index.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuFirmware`
| A `FuFirmware`, or `NULL` if the image is not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.